package cn.gygxzc.envir.api.sys.controller

import cn.gygxzc.cloud.tina.auth.annotation.ResourceApi
import com.gxzc.zen.common.dto.ResponseDto
import io.swagger.annotations.Api
import io.swagger.annotations.ApiOperation
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

/**
 * Created by niantuo on 2018/9/21.
 */
@RestController
@RequestMapping("/v1/sys")
@Api("系统相关的信息")
class SysController {

    @GetMapping
    @ApiOperation("获取")
    @ResourceApi(name = "获取系统信息", desc = "获取系统信息")
    fun info(): Any {
        return ResponseDto().data("this is registry server !! ")
    }
}