package cn.gygxzc.tina.cloud.bus.framweork.receiver;

import cn.gygxzc.envir.core.logger.LogMessage;
import cn.gygxzc.tina.cloud.bus.constant.QueueName;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

/**
 * Created by niantuo on 2018/11/5.
 * 日志收集器.
 */
@Component
@RabbitListener(queues = QueueName.LOG)
public class LoggerReceiver {

    @RabbitHandler
    public void mqLog(LogMessage message) {
        System.out.printf("message:%s",message);
    }

}
